> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspaces

> List workspaces the user has access to.

Access
------
- Org owners/admins (have `org:workspace:read` scope): See all workspaces in the org.
- Org members (have `org:read` scope): See only workspaces where they are a member.
- Workspace-bound service accounts: See only their bound workspace.

Membership limits workspace-scoped access to the actor's workspaces.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces:
    get:
      tags:
        - workspaces
      summary: List Workspaces
      description: >-
        List workspaces the user has access to.


        Access

        ------

        - Org owners/admins (have `org:workspace:read` scope): See all
        workspaces in the org.

        - Org members (have `org:read` scope): See only workspaces where they
        are a member.

        - Workspace-bound service accounts: See only their bound workspace.


        Membership limits workspace-scoped access to the actor's workspaces.
      operationId: workspaces-list_workspaces
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkspaceReadMinimal'
                type: array
                title: Response Workspaces-List Workspaces
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    WorkspaceReadMinimal:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: WorkspaceReadMinimal
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````